<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: Class List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li class="current"><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Class List</h1>Here are the classes, structs, unions and interfaces with brief descriptions:<table>
  <tr><td class="indexkey"><a class="el" href="classDetectorConstruction.html">DetectorConstruction</a></td><td class="indexvalue"><b> (Part of the example simulation and not belonging to GODDeSS.) </b> Builds the simulated setup, using functions inherited from G4VUserDetectorConstruction </td></tr>
  <tr><td class="indexkey"><a class="el" href="classEventAction.html">EventAction</a></td><td class="indexvalue"><b> (Part of the example simulation and not belonging to GODDeSS.) </b> Defines actions to be taken for every event, using functions inherited from G4UserEventAction. (An Event covers everything happening when the particle gun is fired once.) It uses the <a class="el" href="classGODDeSS__DataStorage.html" title="a class to save the data which was taken by the sensitive detectors">GODDeSS_DataStorage</a> to obtain the data from the GODDeSS objects </td></tr>
  <tr><td class="indexkey"><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td class="indexvalue">Class making it easier and more flexible to create <a class="el" href="classG4Fibre.html" title="a class generating the materials, volumes, and optical properties needed for a fibre...">G4Fibre</a> objects. <b> Additionally, it automatically deals with the registration of the needed physics! </b> </td></tr>
  <tr><td class="indexkey"><a class="el" href="classFibreSensitiveDetector.html">FibreSensitiveDetector</a></td><td class="indexvalue">Class defining the action if a sentitive detector is hit </td></tr>
  <tr><td class="indexkey"><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td class="indexvalue">Class generating the materials, volumes, and optical properties needed for a fibre and allows to access them </td></tr>
  <tr><td class="indexkey"><a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a></td><td class="indexvalue">Class generating the materials, volumes, and optical properties needed for a photon detector and allows to access them </td></tr>
  <tr><td class="indexkey"><a class="el" href="classG4ScintillatorTile.html">G4ScintillatorTile</a></td><td class="indexvalue">Class generating the materials, volumes, and optical properties needed for a scintillator tile and allows to access them </td></tr>
  <tr><td class="indexkey"><a class="el" href="classG4UiMessengerUtil.html">G4UiMessengerUtil</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey"><a class="el" href="classG4Wrapping.html">G4Wrapping</a></td><td class="indexvalue">Class generating the materials, volumes, and optical properties needed for a wrapping and allows to access them </td></tr>
  <tr><td class="indexkey"><a class="el" href="classGeneralParticleSource.html">GeneralParticleSource</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey"><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey"><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td class="indexvalue">Class to save the data which was taken by the sensitive detectors </td></tr>
  <tr><td class="indexkey"><a class="el" href="classGODDeSS__Messenger.html">GODDeSS_Messenger</a></td><td class="indexvalue">Class to store and provide variables which are needed in different parts of the GODDeSS </td></tr>
  <tr><td class="indexkey"><a class="el" href="classPhotonDetectorConstructor.html">PhotonDetectorConstructor</a></td><td class="indexvalue">Class making it easier and more flexible to create <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a> objects. <b> Additionally, it automatically deals with the registration of the needed physics! </b> </td></tr>
  <tr><td class="indexkey"><a class="el" href="classPhotonListSource.html">PhotonListSource</a></td><td class="indexvalue">Class making it possible to generate single optical photons with (specified in a compressed (.gz) text file and read in via <a class="el" href="classPhotonListSourceMessenger.html" title="a class for operating the PhotonListSource and providing the necessary information...">PhotonListSourceMessenger</a>) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classPhotonListSourceMessenger.html">PhotonListSourceMessenger</a></td><td class="indexvalue">Class for operating the <a class="el" href="classPhotonListSource.html" title="a class making it possible to generate single optical photons with (specified in...">PhotonListSource</a> and providing the necessary information for this (taken from compressed (.gz) text files) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classPhotonSensitiveDetector.html">PhotonSensitiveDetector</a></td><td class="indexvalue">Class defining the action if a sentitive detector is hit </td></tr>
  <tr><td class="indexkey"><a class="el" href="classPhysicsList.html">PhysicsList</a></td><td class="indexvalue"><b> (Part of the example simulation and not belonging to GODDeSS.) </b> Registers particles and physics processes, using functions inherited from G4VModularPhysicsList </td></tr>
  <tr><td class="indexkey"><a class="el" href="classProperties.html">Properties</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey"><a class="el" href="classPropertyToolsManager.html">PropertyToolsManager</a></td><td class="indexvalue">Class making the processing of the properties etc. much easier </td></tr>
  <tr><td class="indexkey"><a class="el" href="classRunAction.html">RunAction</a></td><td class="indexvalue"><b> (Part of the example simulation and not belonging to GODDeSS.) </b> Defines actions to be taken for every run, using functions inherited from G4UserRunAction. (A Run is started by /run/beamOn and may consist of one or more events.) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classScintillatorSensitiveDetector.html">ScintillatorSensitiveDetector</a></td><td class="indexvalue">Class defining the action if a sentitive detector is hit </td></tr>
  <tr><td class="indexkey"><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a></td><td class="indexvalue">Class making it easier and more flexible to create <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> and <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a> objects. <b> Additionally, it automatically deals with the registration of the needed physics! </b> </td></tr>
  <tr><td class="indexkey"><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a></td><td class="indexvalue"><b> (Part of the example simulation and not belonging to GODDeSS.) </b> Class to store and provide variables which are needed in different parts of the simulation </td></tr>
  <tr><td class="indexkey"><a class="el" href="classSteppingAction.html">SteppingAction</a></td><td class="indexvalue"><b> (Part of the example simulation and not belonging to GODDeSS.) </b> Defines actions to be taken for every step, using functions inherited from G4UserSteppingAction. (A Step is a part of the full trajectory of a particle, confined by two interactions. The sum of all steps of one particle gives its full trajectory.) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classTrackingAction.html">TrackingAction</a></td><td class="indexvalue"><b> (Part of the example simulation and not belonging to GODDeSS.) </b> Defines actions to be taken for every track, using functions inherited from G4UserTrackingAction. (A Track is the full trajectory of a particle, it can be divided into steps (which is the part of the trajectory between two interactions).) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classUserEventInformation.html">UserEventInformation</a></td><td class="indexvalue"><b> (Part of the example simulation and not belonging to GODDeSS.) </b> Class to save the data which belonging to the current event, using functions inherited from G4VUserEventInformation </td></tr>
  <tr><td class="indexkey"><a class="el" href="classUserRunInformation.html">UserRunInformation</a></td><td class="indexvalue"><b> (Part of the example simulation and not belonging to GODDeSS.) </b> Class to save the data which belonging to the current run </td></tr>
  <tr><td class="indexkey"><a class="el" href="classVectorUtil.html">VectorUtil</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey"><a class="el" href="classWrappingSensitiveDetector.html">WrappingSensitiveDetector</a></td><td class="indexvalue">Class defining the action if a sentitive detector is hit </td></tr>
</table>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 30 Jul 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
